import { Sequelize } from 'sequelize';
import { dbPath } from './get-config.ts';
// connect to db
export const sequelize = new Sequelize({
  dialect: 'sqlite',
  // storage: 'db.sqlite',
  storage: dbPath,
  // logging: false,
});

sequelize
  .authenticate({ logging: false })
  .then(() => {})
  .catch((err) => {
    console.error('Unable to connect to the database:', err);
  });
