import { program, Command } from 'commander';
import fs from 'fs';
// 将多个子命令加入主程序中
let version = '0.0.1';
try {
  // @ts-ignore
  if (VERSION) version = VERSION;
} catch (e) {}
// @ts-ignore
program.name('app').description('A CLI tool with envison').version(version);

const ls = new Command('ls').description('List files in the current directory').action(() => {
  console.log('List files');
  console.log(fs.readdirSync(process.cwd()));
});
program.addCommand(ls);

export { program, Command };
